plasma-framework (5.116.0-0ubuntu3) oracular; urgency=medium

  * Drop Recommends: plasma5-desktoptheme now that Plasma 6 is in
    oracular.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Aug 2024 21:31:40 +0100

plasma-framework (5.116.0-0ubuntu2) oracular; urgency=medium

   * Split out Plasma 5 desktop theme files to new package plasma5-
    desktoptheme. When Plasma 6 lands shipping themes with conflicting
    files we can Breaks/Replaces this new package, leaving KF5 based
    plasma-framework and libraries installed for KDE and 3rd party
    packages that still depend on them.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Jul 2024 15:47:31 +0100

plasma-framework (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:47:11 +0100

plasma-framework (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:47:54 +0000

plasma-framework (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:26:23 +0000

plasma-framework (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:38:37 -0700

plasma-framework (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:08:22 -0700

plasma-framework (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:46:50 +0000

plasma-framework (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:51:48 +0000

plasma-framework (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:01:25 +0000

plasma-framework (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:11:38 +0100

plasma-framework (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:52:29 +0100

plasma-framework (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:24:15 +0100

plasma-framework (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:08:37 +0100

plasma-framework (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:50:09 +0100

plasma-framework (5.104.0a-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:19:46 +0000

plasma-framework (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:46:31 +0000

plasma-framework (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 16:00:01 +0000

plasma-framework (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.1)
  * New upstream release (5.101.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:23:49 +0000

plasma-framework (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update symbols.
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:17:56 +0000

plasma-framework (5.99.0a-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)
  * Drop included upstream_fix-korners.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:02:21 +0000

plasma-framework (5.98.0-0ubuntu2) kinetic; urgency=medium

  * Add upstream_fix-korners.patch
    https://bugs.kde.org/438644

 -- Rik Mills <rikmills@kde.org>  Sun, 25 Sep 2022 12:52:06 +0100

plasma-framework (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:35:06 +0100

plasma-framework (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:07:31 +0100

plasma-framework (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:33:02 +0100

plasma-framework (5.95.0a-0ubuntu2) kinetic; urgency=medium

  * Add upstream_revert-dff1b0.patch to fix X11 thunbnails.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 13:42:00 +0100

plasma-framework (5.95.0a-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Update kubuntu_revert-desktop-theme-coversion-to-json.patch
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Jun 2022 17:40:43 +0100

plasma-framework (5.94.0-0ubuntu2) kinetic; urgency=medium

  * Add kubuntu_revert-desktop-theme-conversion-to-json.patch
    temporarily to fix KDE bug https://bugs.kde.org/453830

 -- Rik Mills <rikmills@kde.org>  Mon, 16 May 2022 08:19:58 +0100

plasma-framework (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Drop included upstream_fix-kde-bug-452512.patch
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:22:41 +0100

plasma-framework (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)
  * Add upstream_fix-kde-bug-452512.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:26:03 +0100

plasma-framework (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:30:14 +0000

plasma-framework (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:11:23 +0000

plasma-framework (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:50:28 +0000

plasma-framework (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:19:07 +0000

plasma-framework (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:13:32 +0000

plasma-framework (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable tests.
    - Keep our symbols files.
    - libkf5plasma5 Breaks/Replaces plasma-framework (<< 5.70.1-1~)

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 13:45:04 +0000

plasma-framework (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:42 +0900

plasma-framework (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:21:58 +0000

plasma-framework (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)
  * Remove upstream_fix-ExpandableListitem.patch
  * Remove upstream_revert-change-busywidget-to-a-gear.patch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:08:41 +0000

plasma-framework (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Drop upstream patch.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 15:12:09 +0900

plasma-framework (5.86.0-0ubuntu2) impish; urgency=medium

  * Add upstream bugfix patches.
    - d/p/upstream_fix-ExpandableListitem.patch
    - d/p/upstream_revert-change-busywidget-to-a-gear.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Sep 2021 19:21:43 +0100

plasma-framework (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Remove upstream_fix-icon-scaling.patch, applied upstream
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:51:01 +0100

plasma-framework (5.85.0-4) unstable; urgency=medium

  [ Norbert Preining ]
  * Ignore a symbol on hurd (Closes: #993719)
  * Really disable BLHC of Salsa CI.
  * Bump standards version, no changes necessary.

 -- Norbert Preining <norbert@preining.info>  Sun, 05 Sep 2021 22:20:59 +0900

plasma-framework (5.85.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

plasma-framework (5.85.0-2) experimental; urgency=medium

  * Cherry-pick upstream fix for fractional scaling on X11.

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Aug 2021 09:31:05 +0900

plasma-framework (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:07:28 +0900

plasma-framework (5.85.0-0ubuntu2) impish; urgency=medium

  * Add upstream_fix-icon-scaling.patch requested by KDE developers.
    Fix Plasma (non-Qt) icon scaling with integer scale factors. 

 -- Rik Mills <rikmills@kde.org>  Mon, 16 Aug 2021 13:38:15 +0100

plasma-framework (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:30:34 +0100

plasma-framework (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:03:23 +0100

plasma-framework (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:12 +0900

plasma-framework (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:31:54 +0900

plasma-framework (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:20:19 +0100

plasma-framework (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:25:08 +0900

plasma-framework (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 12:00:06 +0100

plasma-framework (5.81.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 14 Apr 2021 08:59:44 +0900

plasma-framework (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

plasma-framework (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:32:26 +0100

plasma-framework (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:36 +0900

plasma-framework (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:10:57 +0000

plasma-framework (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:30 +0900

plasma-framework (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:25:09 +0000

plasma-framework (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable tests.
    - Keep Kubuntu symbols files.
    - libkf5plasma5 Breaks/Replaces plasma-framework (<< 5.70.1-1~)

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Jan 2021 20:15:29 +0000

plasma-framework (5.78.0-3) unstable; urgency=medium

  * Remove graphviz from build depends.
  * Rebuild against new e-c-m to fix broken template tar.

 -- Norbert Preining <norbert@preining.info>  Sun, 24 Jan 2021 14:37:20 +0900

plasma-framework (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:26 +0900

plasma-framework (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.
  * Drop upstream included patch.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

plasma-framework (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Drop upstream-b1364fa60186-fix-shadow-without-compositor.patch,
    included in this release.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:59:27 +0000

plasma-framework (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable tests.
    - Keep Kubuntu symbols files.
    - libkf5plasma5 Breaks/Replaces plasma-framework (<< 5.70.1-1~)

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 23:58:06 +0000

plasma-framework (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

plasma-framework (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.
  * Cherry-pick upstream fix for black shadows when compositor
    is disabled (https://bugs.kde.org/show_bug.cgi?id=430390)

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

plasma-framework (5.77.0-0ubuntu2) hirsute; urgency=medium

  * Sync patch added in debian experimental:
    - Cherry-pick upstream fix for black shadows when compositor
      is disabled (https://bugs.kde.org/show_bug.cgi?id=430390)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Dec 2020 14:46:44 +0000

plasma-framework (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:13:06 +0000

plasma-framework (5.76.0b-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:25:50 +0000

plasma-framework (5.74.0a-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:02:08 +0100

plasma-framework (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:19:05 +0200

plasma-framework (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5plasma5.
  * Update symbols from build for 5.74.0.
  * Update symbols from build for 5.74.0 no ABI bump needed (only
    private symbols got removed).
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update copyright for 5.74.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:43 +0200

plasma-framework (5.73.0-0ubuntu2) groovy; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Aug 2020 12:17:55 +0100

plasma-framework (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:01:36 +0100

plasma-framework (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:36:10 +0100

plasma-framework (5.71.0-0ubuntu2) groovy; urgency=medium

  * Add patch requested by KDE devs to permit fixing plasma-nm
    asking for wireless password twice with plasma 5.19.
    https://bugs.kde.org/423093
    - debian/patches: upstream_backport-7f9e189d87.patch
  * Also add requested patch to permit fixing unreadable text
    in some system tray applet popup dialogs in plasma 5.19.
    https://bugs.kde.org/422684
    - debian/patches: upstream_backport-e1475e0907.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Jun 2020 11:22:07 +0100

plasma-framework (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Update symbols from build logs.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:09:38 +0100

plasma-framework (5.70.1-1ubuntu1) groovy; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs fields.
    - Breaks/replaces to suit Kubuntu version history.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Mon, 01 Jun 2020 15:07:23 +0100

plasma-framework (5.70.1-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.1).
  * Update build-deps and deps with the info from cmake.
  * Straighten kirigami dependencies.
  * Install categories file in libkf5plasma5 package.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:13 +0200

plasma-framework (5.70.1-0ubuntu1) groovy; urgency=medium

  * New upstream bugfix release (5.70.1)

 -- Rik Mills <rikmills@kde.org>  Sun, 17 May 2020 14:54:31 +0100

plasma-framework (5.70.0a-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Bump tarball version after upstream respin.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:35:20 +0100

plasma-framework (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Cleanup Build-Depends.
  * Enable hardening all.
  * Update copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:57:37 +0200

plasma-framework (5.68.0-0ubuntu1) focal; urgency=medium

  * Drop included upstream_remove-hardcode-colours.patch
  * New upstream release (5.68.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:00:48 +0000

plasma-framework (5.67.0-0ubuntu2) focal; urgency=medium

  * Add patch to fix panel corners on dark panels.
    https://bugs.kde.org/show_bug.cgi?id=417511
    - debian/patches: upstream_remove-hardcode-colours.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Feb 2020 18:37:22 +0000

plasma-framework (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:53:34 +0000

plasma-framework (5.66.0-0ubuntu2) focal; urgency=medium

  * Merge changes from debian unstable 5.62.0-2. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Bumped KF5 stack build deps.
    - debian/*.symbols: Keep Kubuntu symbols files.
    - debian/plasma-framework.install: Install qdebug logging file.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Jan 2020 10:32:28 +0000

plasma-framework (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:22:29 +0000

plasma-framework (5.65.0-0ubuntu2) focal; urgency=medium

  * Explicit build depend on libx11-xcb-dev. Fixes FTBFS.

 -- Rik Mills <rikmills@kde.org>  Sun, 22 Dec 2019 15:50:21 +0000

plasma-framework (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:03:25 +0000

plasma-framework (5.64.0-0ubuntu1) focal; urgency=medium

  * Install qdebug logging file.
  * New upstream release (5.63.0)
  * Update symbols from build logs.
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:27:37 +0000

plasma-framework (5.62.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway
    - update install files
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Explicitly add the gettext, and libx11-xcb-dev build dependencies.
  * Remove breaks/replaces for versions older than oldstable.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the xauth, and xvfb build dependencies, as they are not used.
  * Add Build-Depends-Package in symbols files.
  * Update lintian overrides.
  * Drop debian/not-installed, no more needed now.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Jan 2020 23:31:39 +0100

plasma-framework (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:17 -0700

plasma-framework (5.62.0-0ubuntu2) eoan; urgency=medium

  * Disable dialognativetest. Very flaky, only on Ubuntu infra.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 15 Sep 2019 10:05:17 +0100

plasma-framework (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:05 +0100

plasma-framework (5.61.0-1) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Update symbols file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:08 +0100

plasma-framework (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Delete kubuntu_skip-flaky-test.patch, this patch was meant to void a couple
    of flaky tests:
    - storagetest, which was removed upstream
    - dialognativetest, which was changed upstream so maybe it works now

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:45:47 +0100

plasma-framework (5.60.0-0ubuntu2) eoan; urgency=medium

  * Add storagetest to kubuntu_skip-flaky-test.patch

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 21 Jul 2019 09:11:16 +0100

plasma-framework (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:08 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog plasma5-desktoptheme`.
